<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<ng-content select=".form-control"></ng-content>

<button
		(click)="clearInput();"
		[hidden]="!isButtonShown"
		class="btn btn-clear"
		type="button"
>
	<vp-icon name="x-lg"></vp-icon>
	<span class="visually-hidden">{{ buttonLabel | translate }}</span>
</button>
